require_relative './component.rb'

module Quilt
  module UIHelper
    def ui_badge(content_or_args = nil, **args, &block)
      if content_or_args.is_a?(Hash)
        args = content_or_args
      else
        content = content_or_args
        args ||= {}
      end

      Badge.new(self, **args).render(content, &block)
    end

    class Badge < Component
      base_css_class 'badge'
      variant :inline, accepts: [true, false]
      variant :status, converts: :to_s, accepts: %w(subdued info success attention warning critical complete)

      def render(content, &block)
        ui_content_tag(:span, content, options, class: variant_classes, &block)
      end
    end
  end
end
